Class | TkWarningObj
In: | tk/lib/tk/dialog.rb
Parent: | TkDialogObj

dialog for warning

### Methods

new show

### Public Class methods

new(parent = nil, mes = nil)

[Source]

    # File tk/lib/tk/dialog.rb, line 280
      def initialize(parent = nil, mes = nil)
        if !mes
          if parent.kind_of?(TkWindow)
            mes = ""
          else
            mes = parent.to_s
            parent = nil
          end
        end
        super(parent, :message=>mes)
      end

### Public Instance methods

show(mes = nil)

[Source]

    # File tk/lib/tk/dialog.rb, line 292
      def show(mes = nil)
        mes_bup = @message
        @message = mes if mes
        ret = super()
        @message = mes_bup
        ret
      end

[Validate]